xlog (2.0.19-1) unstable; urgency=medium

  * New upstream version 2.0.19
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.0
  * Set "Rules-Requires-Root: no" in debian/control

 -- tony mancill <tmancill@debian.org>  Mon, 06 Jul 2020 21:30:38 -0700

xlog (2.0.17-2) unstable; urgency=medium

  * Team upload.

  [ Christoph Berg ]
  * Symlink cty.dat to hamradio-files.
  * Add debian/gitlab-ci.yml.
  * Run wrap-and-sort -ast.

  [ Ervin Hegedus ]
  * added d/patches/gtk_deprecated_error.patch (Closes: #952106)

 -- Christoph Berg <myon@debian.org>  Wed, 04 Mar 2020 21:40:46 +0100

xlog (2.0.17-1) unstable; urgency=medium

  * New upstream release.
  * Use dh sequencer in debian/rules
  * Bump Standards-Version to 4.4.0
  * Update debian/watch to use xz compression
  * Add typos.patch to correct misspelling
  * Mark xlog-data "Multi-Arch: foreign" in debian/control

 -- tony mancill <tmancill@debian.org>  Wed, 21 Aug 2019 22:06:41 -0700

xlog (2.0.14-2) unstable; urgency=medium

  * Set Vcs- fields in debian/control for repo on Salsa
  * Add myself to Uploaders
  * Add patch for FTBTS with gcc 9 (Closes: #925864)
  * Set compat version to 12 and build depend on debhelper 12
  * Update Format: in debian/copyright
  * Remove menu file as per policy (see Debian #741573)
  * Use https URL in debian/watch
  * Add [INTL:fr] French templates translation (Closes: #929289)
    Thank you to Jean-Pierre Giraud for the patch!

 -- tony mancill <tmancill@debian.org>  Sat, 17 Aug 2019 22:01:52 -0700

xlog (2.0.14-1) unstable; urgency=medium

  * New upstream release
  * Bump compat version to 9

 -- Chrysostomos Nanakos <cnanakos@debian.org>  Sun, 22 Jan 2017 18:28:26 +0200

xlog (2.0.13-3) unstable; urgency=medium

  * Remove defined but not used const variable (Closes: #831132)
  * Bump S-V to 3.9.8.

 -- Chrysostomos Nanakos <cnanakos@debian.org>  Fri, 12 Aug 2016 11:50:20 +0300

xlog (2.0.13-2) unstable; urgency=high

  * Use Debian account in Uploaders field
  * Due to DSO linking we explicitly link to libm.
    Thanks to Chris Lamb <lamby@debian.org> for reporting (Closes: #821342)
  * Fix defined but not used const variable.
    Thanks to Martin Michlmayr <tbm@hpe.com> for reporting (Closes: #811926)

 -- Chrysostomos Nanakos <cnanakos@debian.org>  Thu, 12 May 2016 11:50:31 +0300

xlog (2.0.13-1) unstable; urgency=low

  * New upstream release.
  * Bump S-V to 3.9.6.
  * Lintian cleaning.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 24 May 2015 13:35:12 +0300

xlog (2.0.12-1) unstable; urgency=low

  * New upstream release
  * Bump S-V to 3.9.5
  * Add jquery.js source code to debian/missing-sources dir
    to resolve relevant lintian error
  * Convert debian/copyright file to the new machine-readable
    format

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 06 Apr 2014 09:10:38 +0300

xlog (2.0.11-1) unstable; urgency=low

  * New upstream release

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 24 Nov 2013 11:14:08 +0300

xlog (2.0.10-1) unstable; urgency=low

  * New upstream release
  * Updated debian/control file
      - Bumped S-V to 3.9.4: no changes needed
      - Changed Maintainer field to Debian Hamradio Maintainers
        <debian-hams@lists.debian.org>
      - Added Uploaders field with Nanakos Chrysostomos <nanakos@wired-net.gr>
        and Kamal Mostafa <kamal@whence.com>
      - Changed Homepage field to http://xlog.nongnu.org/
  * Updated debian/watch file
      - Changed URL to
        http://download.savannah.gnu.org/releases/xlog/xlog-(\d\S*)\.tar\.gz

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Mon, 23 Jul 2013 23:14:08 +0300

xlog (2.0.5-2) unstable; urgency=low

  * Update debian/control
      - Update to S-V 3.9.2: no changes needed.
  * Segmentation fault during dxcc initilization, reading dxcc/cty.dat.
    Patch provided by Fernando M. Maresca <fmaresca@gmail.com>.
    (Closes: Bug#617374).

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Tue, 01 May 2011 17:48:35 +0200

xlog (2.0.5-1) unstable; urgency=low

  * New maintainer (Closes: Bug#555143).
  * New upstream release
  * Fix spelling mistakes in long descriptions.
    Thanks to Ryan Kavanagh <ryanakca@kubuntu.org> (Closes: Bug#544318).

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Thu, 24 Feb 2011 17:52:08 +0000

xlog (2.0.3-2) unstable; urgency=low

  * Retiring - set the package maintainer to Debian QA Group.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 08 Nov 2009 17:56:33 +0000

xlog (2.0.3-1) unstable; urgency=low

  * New upstream release

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 08 Nov 2009 17:56:29 +0000

xlog (2.0.2-1) unstable; urgency=low

  * New upstream release

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 13 Jun 2009 17:03:14 +0200

xlog (2.0.1-1) unstable; urgency=low

  * New upstream.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 23 Feb 2009 20:45:59 +0100

xlog (2.0-3) unstable; urgency=low

  * Fix strptime implicitly converted to pointer. Closes: #515838.
  * Make binary-arch and binary-indep builds possible.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 20 Feb 2009 19:47:55 +0100

xlog (2.0-2) unstable; urgency=low

  * Remove *_SINGLE_INCLUDES lines from src/Makefile.am.
    Closes: #515679.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 17 Feb 2009 13:40:43 +0100

xlog (2.0-1) unstable; urgency=low

  * New upstream release

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 15 Feb 2009 16:04:16 +0100

xlog (1.9-1) unstable; urgency=low

  * New upstream release.
  * No longer needs libgnomeprint2.2-dev to build,

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 10 Jan 2009 14:16:57 +0100

xlog (1.7-2) unstable; urgency=low

  * Create 2 packages, xlog and xlog-data which is binary-all.
  * Suggests extra-xdg-menus instead of hamradiomenus.
  * No longer recommends, but suggests cwdaemon.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 19 Mar 2008 20:23:38 +0100

xlog (1.7-1) unstable; urgency=low

  * New upstream release.
  * Suggests hamradiomenus.
  * Change the copyright notice, now all of xlog is GPL version 3.
  * Bump standards version.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 31 Jan 2008 21:40:17 +0100

xlog (1.6.2-1) unstable; urgency=low

  * New upstream release

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 29 Nov 2007 21:06:55 +0100

xlog (1.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 28 Nov 2007 18:52:48 +0100

xlog (1.6-1) unstable; urgency=low

  * New upstream. Closes: #428227.
  * Re-added “-DGTK_DISABLE_DEPRECATED”, requires at least GTK+ version 2.12.0
    development libraries.
  * Recommends xdg-utils for reading the html manual.
  * Move the “Categories” of the desktop file from “Audio;HamRadio;” to
    "Utility;Database;HamRadio;GTK".
  * Thanks Cyril for the upload!

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 05 Nov 2007 20:00:26 +0100

xlog (1.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable compatibility mode by removing the “-DGTK_DISABLE_DEPRECATED” macro
    from src/Makefile.{am,in} to solve FTBFS with Gtk 2.12 (Closes: #444501).
  * Move the menu file from “Apps/Hamradio” to “Applications/Amateur Radio”,
    due to the menu transition.
  * Move the “Categories” of the desktop file from “Application;HamRadio” to
    “Audio;HamRadio;”, per lintian.
  * No longer ignore “make distclean” errors, per lintian.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Mon, 08 Oct 2007 23:39:04 +0200

xlog (1.5-1) unstable; urgency=low

  * New upstream release.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue,  6 Feb 2007 09:44:22 +0100

xlog (1.4-1) unstable; urgency=low

  * New upstream release

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 29 Nov 2006 18:48:38 +0100

xlog (1.3.1-4) unstable; urgency=low

  * Suggests hamradiomenus.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 15 Jul 2006 20:48:16 +0200

xlog (1.3.1-3) unstable; urgency=low

  * Apply the patch correctly this time (order of the includes matters).
    Closes: #359351.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 24 Apr 2006 20:38:02 +0200

xlog (1.3.1-2) unstable; urgency=low

  * Use libhamlib-dev as a build dependency from now on.
  * Fix 'implicit pointer conversion', patch by Dann Frazier, thanks!
    Closes: #359351.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 22 Apr 2006 11:04:45 +0200

xlog (1.3.1-1) unstable; urgency=low

  * Updated french translation by Jean-Luc, F5IBH. Closes: #344786.
  * Czech translation by Jan Straka, OK2JTB.
  * Fix building when hamlib not present. Thanks Matt, GW0VNR.
  * Fix FTBFS on debian, due to xlibs-dev package removal.
    Closes: #346970.
  * Package xlog as non-native. Closes: #348078.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 20 Jan 2006 20:56:17 +0100

xlog (1.3) unstable; urgency=low
  * Responsiveness for opening large logs has been somewhat improved.
  * A copy of xlog is used for saving so the gui does not get blocked.
  * ADIF: when importing a file which uses strings like 160m, 80m, 40m, etc.
    in the 'BAND' field it is converted to frequency.
  * ADIF: when the 'NOTES' field is present it is appended to the xlog remarks
    field.
  * The remarks entry is now a multiline text entry which can contain up to 512
    characters. This also fixes ADIF import from files with long comment/note
    fields (e.g. dx4win). Thanks to Alan D. Snyder, KF3B, for reporting.
  * A separate dialog and menu entry has been added for log importing. This
    also means that the dialog for log opening has been somewhat redesigned,
    it will now only show logs of type xlog.
  * We now have a separate dialog for log exporting. This will handle ADIF,
    cabrillo, EDI and TSV files. The saveas dialog must be used for saving logs
    of type xlog under a different name.
  * Shortcuts have been re-organised. Ctrl-i: log import, ctrl-e: log export,
    ctrl-shift-s: saveas, ctrl-b: dialogs, ctrl-g: preferences.
  * HAMLIB: configuration has changed. You need to click the "Select a radio"
    button in the preferences dialog. This will show a dialog with rigid, model
    and make. The rigid number is now saved in the preferences instead of the
    model name, so hamlib needs to be re-configured with this release.
  * You can now keep on using xlog while using the search dialog if "Keep this
    dialog open" is checked.
  * Naming of the log when merging has been fixed.
  * The locator frame (only visible when you use the locator field in the log)
    has been moved above the DXCC frame, because locator distance and bearing
    calaculations are more accurate.
  * When exporting to TSV you can now decide to add bearing and distance columns
    if the locator field is used. This must be set in the export page of the
    dialogs dialog. Suggested by Richard Bown, G8JVM.
  * A new argument for the configure script has been added. If you want to
    update the KDE/Gnome mime database during install use ./configure
    --enable-mime-update. This is recommended for people who install from
    source into /usr or /usr/local.
  * Xlog now correctly updates the band/modes optionmenu when using Ctrl-k with
    hamlib. Thanks to Ian Maude, G0VGS for reporting.
  * For the sake of speed, colorization of the log and themeing of the program
    has been removed. Instead, bold fonts are now used. You can now also change
    the default font of the log.
  * 'Delete' and 'Insert' keys no longer work for deleting or adding QSO's
    because they would prevent correct use of these keys in text entry widgets.
  * xlog.dat is no longer used. Future versions of xlog will probably contain
    an editor for cty.dat.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 13 Dec 2005 19:28:12 +0100

xlog (1.2.2) unstable; urgency=low

  * This is a bugfix release, which fixes compilation against version 2.4
    of the GTK+ libraries. There is no need to upgrade if you use version
    2.6 of this library.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 10 Apr 2005 09:26:36 +0200

xlog (1.2.1) unstable; urgency=low

  * Debian: correct the Build-Depends line.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue,  5 Apr 2005 19:15:49 +0200

xlog (1.2) unstable; urgency=low

  * Import support for the OH1AA logbook. Tested by Jarmo, OH1MRR.
  * A keyerwindow has been added, opened from the 'Tools -> Keyer' menu. This
    is a simple interface to cwdaemon and will allow you to run a contest.
    It features programmable function keys, macro's, switch between CQ and
    S&P mode, an auto increment counter and short numbers. See the MANUAL for
    a description.
  * Ctrl-H opens help, Ctrl-R the keyerwindow.
  * The list of hamlib-rigs in the preferences dialog is now sorted. Thanks
    to Jean-Luc F5IBH for proposing.
  * You can use the 'del' key to delete a selected QSO and the 'insert' key
    to add a QSO.
  * We now have slightly different icons for the worked before dialog and
    the keyer window.
  * A safe backup method has been added, you can now select a backup directory
    in the 'Logs' page of the preferences dialog. This directory can be on
    another drive or on a network mounted directory. Proposed by Matt, GW0VNR.
  * When using hamlib, only the needed backend is loaded at startup. This
    saves about 2 Mb of memory compared to the old method, which would load
    all backends.
  * When using hamlib it is now possible to use the FCC emission designators
    for modes. Check the option in the hamlib page of the preferences dialog.
    Another proposal by Matt, GW0VNR.
  * When selecting 'Logs -> Merge' or Ctrl-M you are presented with a dialog
    which can be used to merge 2 logs.
  * The manual has been rewritten so it can contain images.
  * To make xlog more HIG compliant, Ctrl-Q will now quit the program and
    Ctrl-W will close a log.
  * Fixed a crash when locale conversion fails when reading the manual. Thanks
    to Boguslaw, SQ5TB for reporting.
  * Many minor bugfixes.
  * Slovak translations by Michal Karas, OM4AA.
  * French MANUAL and FAQ by Jean-Luc Coulon, F5IBH.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 23 Feb 2005 20:05:47 +0100

xlog (1.1) unstable; urgency=low

  * Several cleanups in the function which creates the main window, the toolbar
    now uses the GtkAction API, toolbar items are now also accessable through
    the edit menu and the vertical handlebar can move freely to the left.
  * "Tab" in the menu has been renamed to "Page".
  * You can hide the number column by using the log-editor and entering a zero
    column width for this column.
  * The BUGS file has been added to the help menu, with a description on how to
    report bugs.
  * The logeditor has been redesigned so it fits on a 800x600 display.
  * Most of the dialogs have been cleaned up and partly rewritten, so they
    will load faster.
  * Xlog now correctly recognizes the 60 meters band. Thanks to Harv Nelson,
    AI9NL for notifying.
  * At ADIF import, frequencies with a comma are converted to a dot.
  * A gtk+ version check has been added, which will display an error at
    startup if the version is below 2.4.
  * An error will be displayed when trying to load a non-xlog file.
  * The labels export format has been renamed TSV (Tab Separated Value).
  * You can decide which fields to export in the TSV format (used by glabels),
    by going to Settings->Dialogs and checking wanted the fields in the
    "Save As" page.
  * When hamlib is enabled, rounding of the digits is now also possible when
    the s-meter is not visible.
  * When entering a logname in the new log dialog, dash (-) and underscore (_)
    are now also allowed.
  * Polish MANUAL and FAQ added by Boguslaw Ciastek, SQ5TB.
  * The position of the paned window is now remembered at program exit.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 18 Dec 2004 10:13:38 +0100

xlog (1.0) unstable; urgency=low

  * Debian and rpm packages against the latest hamlib have been created.
  * The mode and band comboboxes are now correctly updated when changed
    through the preferences dialog. Thanks to Alex, OZ9AEC for reporting.
  * Several cleanups.
  * Tested by David, WB5NHL on Fedora Core 3.
  * First upload to ibiblio.org.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu,  9 Dec 2004 19:02:03 +0100

xlog (0.9.12) unstable; urgency=low

  * Xlog was tested on Mandrake 10.1, Fedora Core 2 and SuSe 9.2. If you want
    to use the rpm on these distributions, use rpm -i --nodeps. This is because
    the rpm depends on libexpat.so.1, which is not really needed.
  * Opening/closing the worked before dialog now correctly sets the
    corresponding optionmenu.
  * When a new log is created the corresponding filename is now created
    correctly.
  * The README has been left out of the help menu and is migrated with the
    MANUAL. It is now included with the source code only.
  * Some effort has been done to compile cleanly with mingw. Untested.
  * Polish translations by Boguslaw Ciastek, SQ5TB. Thanks!

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 6 Dec 2004 16:49:43 +0100

xlog (0.9.11) unstable; urgency=low

  * Some memory leaks were fixed.
  * Locator distance calculation fixes.
  * Fixed the history of the search dialog.
  * Translation of the menu was fixed (thanks F5IBH).
  * French, Danish and Dutch language files were updated.
  * KDE desktop and mime integration have been added.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 30 Oct 2004 10:49:12 +0200

xlog (0.9.10) unstable; urgency=low

  * Adif logs with lower case fields names are now imported correctly.
    Reported by David, CT1DRB.
  * A preview widget has been added to the log -> open dialog. It will show
    the first 10 lines of the selected file.
  * When saving as ADIF you can now decide to convert the frequency to a
    band, e.g. 1.8 becomes 160M, 14.123 becomes 20M. You can set this in the
    "Save As" page of the Settings->Dialogs dialog.
  * When saving as labels you can decide to export the free fields. You can set
    this in the same dialog.
  * A menu has been added to switch logs. This means you can now also use the
    keyboard for log switching, e.g. <alt>1, <alt>2, ... <alt>0 switches from
    log 1 to 10.
  * A warning is issued in the statusbar when creating a new log with a name
    that already exists.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 19 Oct 2004 18:34:44 +0200

xlog (0.9.9) unstable; urgency=low

  * You can now enter logs from the command line, e.g. "xlog /path/to/log.xlog".
  * Xlog now behaves differently when first started. Instead of creating a new
    log, an empty window is shown. You have to create a new log yourself by
    selecting Log -> New from the menu.
  * Some work has been done to integrate xlog with the gnome desktop. You can
    now open logs from within nautilus. However, this is only tested on Debian.
  * Several errors have been fixed when saving and recalling the hamlib
    settings in the preferences dialog. Reported by Alex, OZ9AEC.
  * There were several other minor bugfixes.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat,  9 Oct 2004 10:15:58 +0200

xlog (0.9.8) unstable; urgency=low

  * Xlog now requires gtk+ version 2.4.0 or higher.
  * The obsolete GTK optionmenu widgets have been replaced by the new combobox
    widgets and the GtkAction API is used for the menus.
  * The new filechooser widget is used for opening and saving of files.
  * ADIF import has been fixed, it now creates a correct file when saved as
    xlog. Reported by Ron Patterson, W6FM and Andrea, IZ4FHT.
  * ADIF export fix added for calculation field widths when not using ADIF
    compatible modes. Reported by Morten, LA2YMA.
  * Flex is no longer needed for adif import/export because of a rewrite.
  * Support for logfile format used by version 0.5 and earlier has been removed.
  * Bold fonts are used in the help dialogs, which make them better readable.
  * You can now change the width of the columns in the log with help of the
    log-editor. Width has to be at least one character.
  * A separate option menu has been created for the toolbar and worked before
    dialog.
  * There were many minor bugfixes.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue,  5 Oct 2004 20:27:47 +0200

xlog (0.9.7) unstable; urgency=low

  * A fix by Nigel Horne, G0LOV for a NULL pointer deref in dxcc.c, which would
    cause crashes on some architectures. Thanks!
  * xlog will now also build with older libgnomeprint versions.
  * The ChangeLog is now included in the help menu and the xlog data directory.
  * When importing from trlog, the date is converted to your current locale.
  * If there is a comment in a trlog file (lines starting with ';'), it will
    be imported and added to the remarks field.
  * Another printing fix. People on redhat have been reporting overlapping
    columns, a new way of column width calculation fixes this. Thanks to Tomi,
    OH2BNS and Alex, OZ9AEC for testing.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 19 May 2004 16:11:58 +0200

xlog (0.9.6) unstable; urgency=low

  * Log sorting has been added. If you select "Tools->Sort Log by Date", your
    log will be sorted by date and time. Log sorting assumes that the whole log
    is created with the same locale. Please read directions in the manual if
    you want to use log sorting.
  * The search dialog history and the dialog for selecting the path to the
    logs have been fixed.
  * Xml is now used to save and load xlog preferences. You need to re-configure
    xlog with this release.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 14 May 2004 21:14:52 +0200

xlog (0.9.5) unstable; urgency=low

  * Fixed printing of the first page header in case we print landscape.
  * Added slightly more column spacing, so we don't overwrite other columns.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 11 May 2004 18:07:26 +0200

xlog (0.9.4) unstable; urgency=low

  * libgnomeprint is now used for printing. This means we have more fontsizes
    to choose from and latex is not needed anymore.
  * A check has been added for a valid log directory, so xlog doesn't crash.
    Reported by Andrea, IZ4FHT.
  * When importing a trlog file, band is converted to frequency and date is
    converted to the format used by xlog.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed,  5 May 2004 13:33:41 +0200

xlog (0.9.3) unstable; urgency=low

  * Fixed a crash at startup, when xlog is run for the very first time. This
    only occured on NetBSD. This fix submitted by Berndt Josef Wulf, VK5ABN.
  * The log-editor would behave badly for some people, caused by a wrong
    implementation of qsort. Reported by VK5ABN and Tony May, KG6SXY.
  * This version should compile both with version 2.2 and 2.4 of the GTK+
    version 2 libraries.
  * Update spanish translations by Jaime, EA4TV.
  * If using the log-editor and a column is added or deleted, the log is
    marked as changed.
  * Dupe checking has been fixed in case we have multiple logs open.
  * If you compile xlog against version 2.4.0 or higher of GTK+, you will
    benefit from much faster log loading. As a consequence, columns have been
    set to a fixed width.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 25 Apr 2004 17:45:58 +0200

xlog (0.9.2) unstable; urgency=low

  * The source code has been reorganized and more porting efforts for gtk+-2.0
    have been done. Most of the dialogs now use gtk_dialog_run when possible.
  * Correctly initialize the S-meter when it is first used.
  * Add a check for flex to the configure script.
  * A check for valid characters in the new log dialog has been added.
  * Fixed a bug for importing ADIF logs which have the TX_PWR field.
    Reported by Dave, WB5NHL.
  * Fixed 2 bugs for trlog import. Logs with 160 for band would import as '60',
    reported by Rein, PA0R. The time would import incorrectly. The number-
    exchange fields are now also imported and appended to the RST fields.
  * Made the about dialog better readable. Reported by Andrea, IZ4FHT.
  * Fixed a crash which would occur after importing a log and clicking on
    a QSO because of empty QSO fields.
  * Fixed a crash which occured when opening a log with wrong locale settings.
  * Fixed printing for logs containing '&' and '_' in the remarks field.
    Also, latex doesn't seem to recognize the grave-accented u character.
    I have replaced it with "'u" for the time being. Thanks to IZ4FHT.
  * Fixed a crash when incorrect strings are entered in the config entry
    for hamlib. Reported by Dave, WB5NHL.
  * "Save with every log change" is now working correctly when remote data
    is received. Reported by Andrea, IZ4FHT.
  * The settings for the entry for configuring the hamlib port is now correctly
    saved. Reported by Dave, WB5NHL.
  * Merged freebsd/netbsd patches.
  * Fixed a couple of cabrillo export errors when modes other than CW and SSB
    are used. Reported by Burkhard John, DK5JG.
  * The number of QSO's loaded is now displayed when opening a log.
  * When a new log is created all entries are cleared.
  * Fixed cabrillo output for people that use the optionmenu and use shorthand
    frequencies, e.g. 1.8, 3.5, 7, etc. Reported by DK5JG.
  * Locale conversion is now handled better and a fallback is included. If for
    some reason conversion fails, a warning dialog is displayed.
  * Hamlib: when polling the rig and power level is disabled in the log,
    reading the power level is skipped.
  * Convert modes received by gmfsk to correct values when exporting as ADIF.
    Reported by IZ4FHT.
  * Correct locator calculations in the odd case that wwl.c produces negative
    results. Reported by IZ4FHT.
  * When keeping the search dialog open, do not change the search string.
    Thanks IZ4FHT.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu,  4 Mar 2004 21:14:47 +0100

xlog (0.9.1) unstable; urgency=low

  * Fixed a crash which would occur when clicking on the frequency button when
    hamlib is enabled.
  * Cabrillo output would have a dot in the frequency field. Removed this.
  * Size, position and state of the "worked before" dialog is now saved when
    showing and hiding this dialog. The main window will keep focus.
  * Defaults now work when compiled with hamlib support and hamlib support is
    disabled.
  * You can now use wildcards for the list of logs to load at startup in the
    preferences dialog. Extension .xlog will be automatically added when using
    wildcards, e.g. 'p*' will load all logs starting with 'p' and ending with
    '.xlog'.
  * Fixed calculation of bearing and range to a location for stations west of
    greenwich. Reported by Steve, K9AN.
  * You can now decide whether to show/hide the toolbar from the menu. You can
    still use Ctrl+A, Ctrl+U and Ctrl+D when the toolbar is hidden.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 11 Jan 2004 15:07:01 +0100

xlog (0.9) unstable; urgency=low

  * Xlog has been ported to gtk+2.2. Xlog will look much better, there is
    better theme and font support. However, logs will load slower, due to
    the newly used GtkTreeView widget. As far as I know, speed will get
    better with the next planned major release of GTK+
  * New logo.
  * Right click menu has been moved to the main menu.
  * Hamlib: Polling is now configurable, you can turn it on/off and set the
    polling time from the preferences dialog.
  * Hamlib: Added a trace dialog. When activated, it will display rig
    communication, which is also saved to ~/.xlog/hamlib.out.
  * Hamlib: a second application can add a HAMLIB token to the string sent to
    xlog, e.g. 'mhz:HAMLIB', which will retrieve the rigs frequency and add
    it to the log. The mode, tx and power fields also can use this token.
  * Type and find now only fills in empty fields.
  * Defaults are only filled in when fields are empty.
  * Use UTF-8 encoding for date, name, QTH, freefield1, freefield2 and remarks.
  * Ctrl-w is a shortcut for opening/closing the 'worked before' dialog.
  * Trlog (tlf) and EDI (VHF and higher contest format recommanded by IARU
    region 1) file support by Stephane.
  * Fix for ADIF export by Stephane in cases when the log would have fields
    containing "U1" or "U2".
  * Using the optionmenu is now possible when hamlib is enabled.
  * Added a field for configuring your rig for hamlib in the preferences ->
    Settings -> Hamlib page.
  * Added a dialog which, started from the help->documentation submenus which
    can display the MANUAL, README, TODO, THANKS and FAQ file inside the
    package. The manual page is kindof obsolete.
  * Make ktrack happy and update fields when receiving data from ktrack.
  * Save and recall the state of band and mode optionmenus.
  * When using 'save as..' part of the log can be saved.
  * The normal log now prints correctly instead of upside-down. Also added
    support for latin characters.
  * Fixed a bug which would create 2 logs when a fieldname with a dot was
    entered on log creation (tnx Alex OZ9AEC for reporting).
  * Ctrl-k and Ctrl-a will put focus on the callsign field.
  * When printing you can decide which columns to print.
  * Hamlib: The s-meter is initialised correctly.
  * There is a new format for exporting the log called 'labels'. This will
    save some fields of the log in a TAB separated file. This file can be
    imported into glabels using the template called qsllabels.glabels in
    the xlog data directory.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun,  2 Nov 2003 21:23:36 +0100

xlog (0.8) unstable; urgency=low

  * Update automake, gettext and autoconf versions.
  * Add defaults for logging band, mode, power, txrst, rxrst, freefield1,
    freefield2 and remarks. They can be set from the settings->defaults dialog.
    Use 'Click All' or Ctrl+k to use them.
  * Add a 'Worked Before' dialog. When activated by selecting
    Tools->Worked Before, a sorted list of callsigns is displayed while you
    enter a call in the callsign field.
  * You can set the number of columns in the 'Worked Before' dialog by
    selecting Settings->Dialogs from the menu.
  * The widely used cty.dat file is now used for dxcc lookups.
  * If cty.dat fails for some reason, entries can be added to xlog.dat.
  * Remote logging has been adapted for the 2 free fields.
  * In the preferences dialog you can choose to add remote data directly to
    the log, or to the QSO frame first.
  * 'Type and find' has been added for the name, QTH, Locator and Remarks
    fields. It is enabled by default. You can switch it off in the preferences
    dialog.
  * Printing is now done in the background with fork().

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 24 Nov 2002 22:07:33 +0100

xlog (0.7) unstable; urgency=low

  * The code has been adapted multiple fields.
  * Adif, cabrillo, twlog and editest logs can be read.
  * Power is retrieved from the rig with hamlib whe needed.
  * Save as.. xlog, adif and cabrillo dialog added.
  * Add a 'click all' to the pop-up menu when right-clicking on the QSO frame.
    You can also use 'Ctrl+k' for this.
  * Add wwl code by IK0ZSN. When a locator is entered in the log and the
    locator column is active, distance and azimuth is displayed in a separate
    frame.
  * The log-editor is now functional. You can Show/Hide 9 different log fields.
    2 of these fields can be given any name (so called free fields).
  * When a new log is created, the log-editor is started after a name for the
    log is entered.
  * Remove all references to 'Shortwave' logging. Xlog is now also useable for
    VHF/UHF logging.
  * Spanish translations by Jaime, EA4TV.
  * Home/End key added for navagating the log.
  * Up/Dn Arrow keys now only work when the log has focus (you should select a
    QSO first).
  * You should enter your callsign in the preferences dialog for cabrillo export.
  * Fixed a segfault which occured when clicking on any of the buttons of the
    toolbar when no log is present.
  * Easier to use search tool. Checking 'keep dialog open' enables you to do
    multiple search.
  * Theme font can be changed. If the font fails to load, fall back to a
    default font.
  * Dupe checking is here. In the dialog for dupe checking you can select all
    logs or the current log. You can also ignore band or mode fields. In the
    results dialog, selecting a qso will select the corresponding entry in the
    main logwindow.
  * Debian recommends tetex-base and tetex-extra. Closes #154998.
  * RPC rig can now be used. The device entry in the preferences dialog now
    allows free entry, so you can use "localhost" for the port (or any other
    host).
  * There was a bug in saving of the preferences. Fixed.
  * Added a scrollbar to the left pane, so the DXCC frame won't get scrambled.
  * You can now use a '#' character in the remarks field.
  * Fixed a crash when clicking on the MHz button and no information is
    retrieved from the rig, done some additional error checking on rig the
    information.
  * Fixed the ceiling of the S-meter, so we don't get S10.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 15 Oct 2002 20:39:25 +0200

xlog (0.6) unstable; urgency=low

  * Migrate to automake 1.5 and gettext 0.10.40.
  * Minor bugfixes. Saving of window size and position now works correctly.
  * Add hamlib support. You must call the configure script with
    '--enable-hamlib', to compile with hamlib. A page has been added to the
    preferences dialog, where hamlib can be activated and a radio and port
    can be selected. The frequency, mode and signal level of your rig can be
    displayed in the statusbar. There will be buttons in the QSO frame, which
    can be clicked to update the corresponding entry.
  * Add a clock. It can be run in the statusbar.
  * The statusbar is now cleared after 30 seconds.
  * The file format is changed, patch by Stephane Fillod. We now have a
    flexible log format. Top line of the log displays field name and field
    width. Also, 0.4 and 0.5 version files can be read. All log file I/O is
    done with a separate library.
  * When search is selected from the menu (same as Ctrl+f) a dialog is
    displayed where a searchstring can be entered. This is compared with the
    callsigns in the log. In the dialog where the results are displayed, you
    can select a QSO, the corresponding QSO in the log will also be selected.
  * Add Ted Williams' scheme of sharing memory between applications. When a
    call is entered, it will show up in twpsk's send widget (where you type your
    text) when hitting Shift+Alt+h. Shift+Alt+o will show 'hiscall de mycall'.
  * The colors used in the callsign cell of the log and some of the labels
    and frames can now be changed through the preferences dialog. Applying the
    colors to the log is optional because uncoloured logs load a lot faster.
  * Autosave function added, time can be set in minutes through the preferences
    dialog. The log is saved if it has been changed.
  * Multiple logs are here. You can select log->new, log->close and log->open
    from the menu.
  * The logs can be saved to a separate logging directory, configurable through
    the preferences dialog. Also, a list of logs to load at startup can be
    entered. Entering a '*' will load all logs in the logging directory.
  * Danish translations by Alexandru Csete, OZ9AEC.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 11 Mar 2002 08:29:55 +0100

xlog (0.5) unstable; urgency=low

  * Minor bugfixes: fix a log display bug which appeared when first a QSO was
    added to a unsorted log and then a QSO was deleted. Also, when a log was
    unsorted, the qso number would not be updated correctly. Fixed a couple
    of memory leaks. Some fixes for the text in the message bar. Better
    key-handling for the call-entry in the QSO frame. Improvements to the
    sorting routine, when clicking on 'call' in the log.
  * Add 'QSL in' and 'QSL out' fields to the log. When starting the new version
    for the first time a dialog is displayed, so all Out and/or In fields can
    be updated in one go.
  * Printing has been added. You can either print a range or the whole log.
    Printing is done using latex and dvips, so you need to install the tetex
    package.
  * The generated postscript file is sent to the default printer, but you can
    also print to a file. Files generated are: log.tex, log.dvi and log.ps
    in $HOME/.xlog.
  * Printing can be done in 2 styles: normal style, which prints the log in
    landscape with 30 QSO's per page and shows all columns; contest style
    which prints in portrait with 50 QSO's per page without the remarks field
    and 2 extra empty columns called 'Multiplier' and 'Points'.
  * You can now add, delete and update QSO's with keys:
    Ctrl-d = add, Ctrl-d = delete and Ctrl-u = update a QSO. The Tab key will
    move around the QSO frame. Ctrl-s will save the log and Ctrl-y will
    clear the QSO frame. PgUp and PgDn will scroll the log and the Up and Down
    Arrow will select the previous and next QSO.
  * The column width of any column in the log is saved in case you change it.
  * Xlog now supports remote logging through by using message queues. Have a
    look at sendtoxlog.c in the remote directory for an example.
  * Added french translations by Jean-Luc Coulon, F5IBH (Thanks!).
  * Add a minimalized window icon.
  * I have added a CREDITS file to list people who helped me getting xlog
    where it is now.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 16 Nov 2001 15:05:38 +0100

xlog (0.4) unstable; urgency=low

  * Major bugfix: xlog would crash when no preferences file is present.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 12 Nov 2001 19:33:46 +0100

xlog (0.3) unstable; urgency=low

  * Changes to the user interface:
    Remove the clear button from the toolbar. Instead, right clicking on the
    QSO frame will show a popup-menu, which allows you to clear all fields.
    Moved the toolbar on top of the QSO frame.
    Statusbar added which tells QSO's added, updated, deleted an many more
    things.
  * Minor bugfixes:
    Set band to 1.8 and mode to CW when clearing the QSO frame.
    Fixed mix-up of band and mode indexes when updating a QSO.
    Fix crash when adding multiple empty QSO's.
  * Include dxcck2di.txt from arrl.org and gc.c by N5OWK for calculating
    bearings and distance to a location.
  * A new frame has been added. Once you enter a call, the prefix is looked
    up and country information is displayed, together with distance and
    beam heading, both for short and long path.
  * Added a preferences menu and dialog, where you can set location (latitude
    and longitude), preferred units (kilometers or miles) and items for the
    bands and modes in the QSO frame. You can also choose to either use a
    editbox or optionmenu for bands and modes.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 28 Oct 2001 09:46:04 +0100

xlog (0.2) unstable; urgency=low

  * Changes to the user-interface: remove horizontal seperator and changed
    vertical pane to a horizontal panel. Set style of the callsign cell in
    the log so it appears white on blue with a bold font, the border of the
    QSO frame also appears blue.
  * Add MT63 and SSTV to the modes.
  * Minor bugfixes: Clearing the QSO frame will set band to 1.8 and mode to
    CW which are the initial values. Update global variable band and mode if
    a QSO from the log is selected, so that if we change a QSO, band and mode
    are updated correctly.
  * Each QSO get's an unique number, derived from the position in the log,
    the title of the QSO frame contains the number of the selected QSO or
    "new QSO" in case we clear all fields or add/delete a log entry, deleting
    a QSO will update the first column, so the number of QSO's are correct.
  * Clicking on the 'callsign' column title, will sort the log by callsign,
    either ascending (first click), descending (second click) or normal
    state, which is sorted by QSO number (third click), when adding a QSO,
    the log is set to the normal state first.
  * In case you exit through the menu, a warning dialog is displayed in case
    the log is not saved.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon,  1 Oct 2001 21:07:01 +0200

xlog (0.1) unstable; urgency=low

  * Initial release.
  * Basic logging with the log displayed in a list.
  * Log entries can be added, removed and edited. Clicking on clear will
    erase all the fields in the QSO frame.
  * Date and GMT buttons fill in the date and GMT field.
  * Callsign entry is converted to uppercase automatically.
  * Log is saved to and recalled from ~/.xlog/log, which is a flat text file.
  * Window size and position is saved in ~/.xlog/preferences.
  * A backup is made when the log is opened. Saved to ~/.xlog/xlog.backup.
  * Application icon and gnome desktop entry.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 25 Jul 2001 11:44:53 +0200

Local variables:
mode: debian-changelog
End:
